v1
Rename a saved document.
Rename one of your saved documents.
PATCH
/
v1
/
documents
/
{document_id}
Rename a saved document.
curl --request PATCH \
--url https://api.example.com/v1/documents/{document_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>"
}
'import requests
url = "https://api.example.com/v1/documents/{document_id}"
payload = { "title": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({title: '<string>'})
};
fetch('https://api.example.com/v1/documents/{document_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Body
application/json
New document title.
Required string length:
1 - 255Response
Successful Response
Previous
Restore (un-archive) a previously archived document by its id.Restore (un-archive) a saved document by its id — the mirror of archive_document. The document
re-enters your Files view and can be opened/edited again (open it into a chat with open_documents).
`document_id` is the same id used by list_documents / archive_document. Idempotent: restoring an
already-active (or unknown) document is a no-op. Non-billable.
Next
⌘I
Rename a saved document.

